using Entities.DTO;
using Microsoft.AspNetCore.Components;
using TechHelper.Client.HttpRepository;

namespace TechHelper.Client.Pages.Author
{
	public partial class ForgotPassword
	{
		private ForgotPasswordDto _forgotPassDto = new ForgotPasswordDto();

		private bool _showSuccess;
		private bool _showError;

		[Inject]
		public IAuthenticationClientService AuthenticationClientService { get; set; }

		private async Task Submit()
		{
			_showError = _showSuccess = false;

			var result = await AuthenticationClientService.ForgotPasswordAsync(_forgotPassDto);
			if (result == System.Net.HttpStatusCode.OK)
			{
				_showSuccess = true;
			}
			_showError = true;
			
		}
	}
}